# Ansible role to deploy apache on debian

## Requirement

You need a debian OS (tested on debian 10)

## Variables (in defaults)

* **apache_listen_ips** - default value:
  * 0.0.0.0:80
  * 0.0.0.0:443
* **apache_remove_default_vhost** - default value: false
* **apache_mods_enabled** - default value:
  * rewrite
  * ssl
* **apache_extra_mods_enabled** - default value: empty list
* **apache_mods_disabled** - default value: empty list
* **apache_state** - default value: started
* **apache_service** - default value: apache2
* **apache_server_root** - default value: /etc/apache2
* **apache_conf_path** - default value: /etc/apache2
* **apache_default_vhost_filename** - default value: 000-default.conf
* **apache_packages** - default value:
  * apache2
  * apache2-utils
* **apache_extr_packages** - default value: empty list

## Example playbook

Go an check the playbook directory

## Role philosophy

* KISS: Keep it simple Smart-Guy
* Only support what you need. No magic
* If you need to fix/troubleshoot or manual install, just go an check the task
  and defaults directories. It should be easy to follow the steps
